.box{
  width: 300px;
  height: 300px;
  background: #333;
  margin: 0 auto 20px auto;
  overflow: hidden;
}

.border-radius{
  -moz-border-radius: 50px;
  -webkit-border-radius: 50px;
  border-radius: 50px;
}

.border-circle{
  border-radius: 1000px;
  width: 300px;
  height: 300px;
  background: #333;
  margin: 0 auto 20px auto;
  overflow: hidden;
}

.border-radius-top-left{
  border-top-left-radius: 50px;
}

.border-radius-top-right{
  border-top-right-radius: 50px;
}

.border{
  border: 10px solid red;
  background: none;
}